Description

Rappel de la regle :

Tr_Parenthéses

Definition:

In expressions, every binary and ternary operator has to be put in parenthesis,
so that the evaluation priorities are not ambiguous.

Use the partpar option to allow the following rules: when the right operand of

a + or * operator uses the same operator, you can omit parenthesis for it.

In the same way, you can omit parenthesis in the case of the right operand of an
assignment operator. Moreover, you can omit parenthesis at the first level of

the expression.

Parameters:

The character string "partpar", which, if used, allows programmers not to put
systematically parenthesis, according to the rule above.

Justification:

Removes ambiguity about the evaluation priorities.

Example:

// do not write
result = fact / 100 + rem;

I write
result = ((fact/ 100) + rem);

// or write, with the partpar option
result = (fact / 100) + rem;

/[ with the partpar option, write
result = (fact * ind * 100) + rem + 10 + (coeff ** c);

// instead of
result = ((fact * (ind * 100)) + (rem + (10 + (coeff ** ¢))));

La regle est non respectée et non couverte par la RPW-MEB-LFR-RFW-00257-LPP accepted in DP R3++ :
Ifr_cpu_usage_report.c line 60 : cpu_load = (unsigned char)(CONST_255 -
((ival*CONST_10+fval/CONST_100)*CONST_256/CONST_1000))

History

#1 - 08/10/2018 09:57 PM - bruno katra

- Status changed from New to In Progress

Salut Alexis !

20/04/2024 1/2




Voici ma proposition pour la modif aprées les échanges que j'ai eu avec William sur I'application des régles...

cpu_load = (unsigned char) (CONST_255 - ((((ival*CONST_10) + (fval/CONST_100))*CONST_256)/CONST_1000));

#2 - 09/10/2018 10:53 AM - William Recart

Je confirme que la proposition de Bruno est OK pour Logiscope.

#3 - 10/10/2018 10:57 AM - Alexis Jeandet
- Parent task set to #3120

#4 - 10/10/2018 08:12 PM - Alexis Jeandet

- Status changed from In Progress to Resolved

Corrigé dans la r399

#5 - 10/12/2018 03:40 PM - William Recart

- Status changed from Resolved to Closed

Corrected in source code V3.2.0.24
